Bug 181021 - gcdmaster doesn't build under current devel/fc5 mock due to gcc issues
gcdmaster doesn't build under current devel/fc5 mock due to gcc issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcdmaster (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE5Target
  Show dependency treegraph
 
Reported: 2006-02-11 15:03 EST by Kevin Fenzi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 16:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2006-02-11 15:03:25 EST
Description of problem:
gcdmaster doesn't build under current devel/fc5 mock due to gcc issues.

From the end of the mock build.log: 

if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I./../trackdb -I./../paranoia -I./../dao
-DCDRDAO_GLADEDIR=\""/usr/share/gcdmaster/glade"\"   -I/usr/include/gtkmm-2.4
-I/usr/lib/gtkmm-2.4/include -I/usr/include/glibmm-2.4
-I/usr/lib/glibmm-2.4/include -I/usr/include/gdkmm-2.4
-I/usr/lib/gdkmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/atkmm-1.6
-I/usr/include/gtk-2.0 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include
-I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/atk-1.0  
-DORBIT2=1 -pthread -I/usr/include/libgnomeuimm-2.6
-I/usr/lib/libgnomeuimm-2.6/include -I/usr/include/libgnomemm-2.6
-I/usr/lib/libgnomemm-2.6/include -I/usr/include/libgnomecanvasmm-2.6
-I/usr/lib/libgnomecanvasmm-2.6/include -I/usr/include/gconfmm-2.6
-I/usr/lib/gconfmm-2.6/include -I/usr/include/libglademm-2.4
-I/usr/lib/libglademm-2.4/include -I/usr/include/libgnomeui-2.0
-I/usr/include/gnome-vfsmm-2.6 -I/usr/lib/gnome-vfsmm-2.6/include
-I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include
-I/usr/include/libgnome-2.0 -I/usr/include/glibmm-2.4
-I/usr/lib/glibmm-2.4/include -I/usr/include/gdkmm-2.4
-I/usr/lib/gdkmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/atkmm-1.6
-I/usr/include/gtk-2.0 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include
-I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/atk-1.0
-I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gconf/2
-I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include
-I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomecanvas-2.0
-I/usr/include/libart-2.0 -I/usr/include/freetype2 -I/usr/include/libglade-2.0
-I/usr/include/libxml2 -I/usr/include/libbonoboui-2.0
-I/usr/include/gnome-keyring-1   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386
-mtune=generic -fasynchronous-unwind-tables -MT CdDevice.o -MD -MP -MF
".deps/CdDevice.Tpo" -c -o CdDevice.o CdDevice.cc; \
then mv -f ".deps/CdDevice.Tpo" ".deps/CdDevice.Po"; else rm -f
".deps/CdDevice.Tpo"; exit 1; fi
/usr/include/gconfmm-2.6/gconfmm/setinterface.h:42: warning: 'class
Gnome::Conf::SetInterface' has virtual functions but non-virtual destructor
ProgressDialog.h:65: error: extra qualification 'ProgressDialog::' on member 'time'
CdDevice.cc: In member function 'bool CdDevice::recordDao(Gtk::Window&,
TocEdit*, int, int, int, int, int, int, int)':
CdDevice.cc:378: warning: unused variable 'devname'
CdDevice.cc: In member function 'int CdDevice::extractDao(Gtk::Window&, const
char*, int, int)':
CdDevice.cc:534: warning: unused variable 'devname'
CdDevice.cc: In member function 'int CdDevice::duplicateDao(Gtk::Window&, int,
int, int, int, int, int, int, int, int, CdDevice*)':
CdDevice.cc:645: warning: unused variable 'devname'
CdDevice.cc: In member function 'int CdDevice::blank(Gtk::Window*, int, int,
int, int)':
CdDevice.cc:798: warning: unused variable 'devname'
CdDevice.cc: In member function 'void CdDevice::createScsiIf()':
CdDevice.cc:897: warning: unused variable 'buf'
make[3]: *** [CdDevice.o] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/cdrdao-1.2.1/xdao'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/cdrdao-1.2.1/xdao'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/cdrdao-1.2.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.651 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.651 (%build)

Full mock logs available on request.
Comment 1 Denis Leroy 2006-03-01 16:11:59 EST
Yup, the good ol' extra-qualification g++ 4.1 error. Fixed.

Note You need to log in before you can comment on or make changes to this bug.